#include <iostream>
#include <string>
using namespace std;

/* Clase de objetos COrdenador.
 */
class COrdenador
{
  // Atributos
  private:
    string marca;
    string procesador;
    float peso;
    bool encendido;
    bool pantalla;
  
  // Métodos
  public:
    COrdenador()
    {
      marca = "sin marca";
      procesador = "desconocido";
      peso = 3;
      encendido = false;
      pantalla = false;
    }
    
    void EncenderOrdenador()
    {
      if (encendido == true)
      {
        cout << "El ordenador ya está encendido\n";
      }
      else 
      {
        encendido = true;
        pantalla = true;
        cout << "El ordenador ha sido encendido\n";
      }
    }
    
    void Estado()
    {
      cout << "\nEl estado del ordenador es el siguiente:";
      cout << "\nMarca: " << marca;
      cout << "\nProcesador: " << procesador;
      cout << "\nPeso: " << peso << " kg.\n";
    
      if (encendido == true)
      {
        cout << "El ordenador está encendido\n";
      }
      else
        cout << "El ordenador está apagado\n";
    
      if (pantalla == true)
      {
        cout << "La pantalla está activada\n";
      }
      else
        cout << "La pantalla está desactivada\n";
    }

    string obtenerMarca()
    {
      return marca;
    }
    
    void asignarMarca(string mar)
    {
      if (mar.length() == 0)
        marca = "marca desconocida";
      else
        marca = mar;
    }
}; 

/* Función main
 */
int main()
{
  COrdenador miOrdenador;

  miOrdenador.asignarMarca("Dell");
  miOrdenador.EncenderOrdenador();
  miOrdenador.Estado();
}

